curl --request GET \
--url https://api-sandbox.synctera.com/v0/external_accounts/{external_account_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api-sandbox.synctera.com/v0/external_accounts/{external_account_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api-sandbox.synctera.com/v0/external_accounts/{external_account_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"account_identifiers": {
"number": "78277121",
"iban": "LI4476584648937N59B00"
},
"account_owner_names": [
"Jane Smith"
],
"creation_time": "2010-05-06T12:23:34.321Z",
"id": "7d943c51-e4ff-4e57-9558-08cab6b963c7",
"last_updated_time": "2010-05-06T12:23:34.321Z",
"routing_identifiers": {
"bank_countries": [
"US"
],
"bank_name": "Chase",
"ach_routing_number": "756392185",
"bank_address": {
"address_line_1": "100 Main St.",
"country_code": "US",
"address_line_2": "Suite 99",
"address_type": "SHIPPING",
"city": "New York",
"id": "7d943c51-e4ff-4e57-9558-08cab6b963c7",
"is_registered_agent": true,
"nickname": "Home",
"postal_code": "28620",
"state": "NY"
},
"correspondent_bank_details": [
{
"bank_address": {
"address_line_1": "100 Main St.",
"country_code": "US",
"address_line_2": "Suite 99",
"address_type": "SHIPPING",
"city": "New York",
"id": "7d943c51-e4ff-4e57-9558-08cab6b963c7",
"is_registered_agent": true,
"nickname": "Home",
"postal_code": "28620",
"state": "NY"
},
"bank_name": "Bank of Greece",
"swift_code": "BNGRGRAAXXX"
}
],
"eft_ca_routing_number": "02101140",
"eft_routing_number": "02101140",
"network": "ALGORAND",
"swift_code": "CHASUS3AXXX",
"wire_routing_number": "756392185"
},
"status": "ACTIVE",
"type": "CHECKING",
"verification": {
"status": "UNVERIFIED",
"vendor": "FINICITY",
"creation_time": "2010-05-06T12:23:34.321Z",
"last_updated_time": "2010-05-06T12:23:34.321Z"
},
"business_id": "7d943c51-e4ff-4e57-9558-08cab6b963c7",
"currency": "USD",
"customer_id": "7d943c51-e4ff-4e57-9558-08cab6b963c7",
"deletion_time": "2010-05-06T12:23:34.321Z",
"metadata": {},
"name": "Plaid Checking",
"nickname": "Vacation savings",
"status_reason": "<string>",
"tenant": "abcdef_ghijkl",
"vendor_data": {
"account_number_mask": "<string>",
"institution_id": "<string>"
},
"vendor_info": {
"content_type": "application/json",
"json": {},
"vendor": "SOCURE"
}
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}Get an external account
Returns an external account, given an external account ID.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
External Account ID
"7d943c51-e4ff-4e57-9558-08cab6b963c7"
Response
The external account
Show child attributes
Show child attributes
The names of the account owners. Values may be masked, in which case the array will be empty.
"2010-05-06T12:23:34.321Z"
External account unique identifier
"7d943c51-e4ff-4e57-9558-08cab6b963c7"
"2010-05-06T12:23:34.321Z"
Show child attributes
Show child attributes
The current state of the account
ACTIVE, CLOSED, DELETED, INACTIVE The type of the account
CHECKING, CREDIT_CARD, CRYPTO_WALLET, INVESTMENT_529, MONEY_MARKET, OTHER, OTHER_BANK_ACCOUNT, SAVINGS, WALLET Information about the account verification process. If the account has not been verified, this will be null.
- Information specific to Plaid verification
- Information specific to Finicity verification
- Information specific to Manual verification
Show child attributes
Show child attributes
The identifier for the business customer associated with this external account. Exactly one of business_id or customer_id will be returned.
"7d943c51-e4ff-4e57-9558-08cab6b963c7"
ISO 4217 alphabetic currency code
^[A-Z]{3}$"USD"
The identifier for the personal customer associated with this external account. Exactly one of customer_id or business_id will be returned.
"7d943c51-e4ff-4e57-9558-08cab6b963c7"
"2010-05-06T12:23:34.321Z"
User-supplied JSON format metadata.
The official name of the account
"Plaid Checking"
A user-meaningful name for the account
"Vacation savings"
The reason for the status for the external account.
The id of the tenant containing the resource. This is relevant for Fintechs that have multiple workspaces.
"abcdef_ghijkl"
Show child attributes
Show child attributes
The information provided to Synctera from the vendor. Interpretation of this object is up to the client.
- Vendor Info
- Vendor Info
Show child attributes
Show child attributes
Was this page helpful?

